.admin-panel {
}

.admin-panel__bg {
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.7);
  cursor: pointer;
  z-index: 90001;
  opacity: 0;
  visibility: hidden;
  transition: 0.25s ease-in-out;
  will-change: opacity, visibility;
  transition-property: opacity, visibility;
}

.admin-panel__window {
  position: fixed;
  left: 0;
  top: 0;
  bottom: 0;
  width: 320px;
  background: var(--white-color);
  display: flex;
  flex-direction: column;
  z-index: 90002;
  opacity: 0;
  visibility: hidden;
  transform: translateX(-100%);
  transition: 0.25s ease-in-out;
  will-change: opacity, visibility, transform;
  transition-property: opacity, visibility, transform;
}

html.is-admin-panel-open .admin-panel__bg {
  opacity: 1;
  visibility: visible;
}

html.is-admin-panel-open .admin-panel__window {
  opacity: 1;
  visibility: visible;
  transform: translateX(0);
}

.admin-panel__header {
  font-size: 20px;
  line-height: 1.3;
  font-weight: 600;
  background: var(--main-color);
  color: var(--white-color);
  padding: 12px 30px;
  flex-shrink: 0;
}

.admin-panel__content {
  flex-grow: 1;
  min-height: 1px;
  overflow-y: auto;
  overscroll-behavior: contain;
  -webkit-overflow-scrolling: touch;
  padding: 20px 30px 120px;
}

.admin-panel__section {
  margin-bottom: 20px;
}

.admin-panel__section:last-child {
  margin-bottom: 0;
}

.admin-panel__section-title {
  font-size: 14px;
}

.admin-panel__section-row {
  margin-bottom: 20px;
}

.admin-panel__section-row:last-child {
  margin-bottom: 0;
}

.admin-panel-btn {
  position: fixed;
  left: 30px;
  bottom: 30px;
  z-index: 90003;
  width: 60px;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--white-color);
  color: var(--main-color);
  border: none;
  padding: 0;
  border-radius: 10px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
}

.admin-panel-btn:hover,
html.is-admin-panel-open .admin-panel-btn {
  background: var(--main-color);
  color: var(--white-color);
}

.admin-panel-btn__icon {
  display: block;
  flex-shrink: 0;
  width: 30px;
  height: 30px;
  position: relative;
}

.admin-panel-btn__icon svg {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

html.is-admin-panel-open .admin-panel-btn__icon svg:first-child,
html:not(.is-admin-panel-open) .admin-panel-btn__icon svg:last-child {
  display: none;
}

.admin-panel:has(.select-block.is-open) ~ .admin-panel-btn {
  display: none;
}

.admin-panel__color {
  display: flex;
  align-items: center;
  column-gap: 10px;
  margin: -6px -6px;
}

.admin-panel__color-icon {
  flex-shrink: 0;
  width: 26px;
  height: 26px;
  border-radius: 5px;
}

.admin-panel__theme-select .select-block__dropdown {
  max-height: 410px;
}

.admin-panel__theme-select .select-block__dropdown a {
  font-weight: normal !important;
  background: none !important;
}

.admin-panel__theme-select-image {
  border: 1px solid var(--line-color);
  padding: 5px;
  border-radius: 5px;
}

.admin-panel__theme-select-image img {
  display: block;
  width: 100%;
  height: auto;
}

.admin-panel__theme-select a:hover .admin-panel__theme-select-image,
.admin-panel__theme-select a.is-active .admin-panel__theme-select-image {
  border-color: var(--main-color);
}

.admin-panel__theme-select-name {
  margin-top: 5px;
}

@media (max-width: 1199.98px) {
  .admin-panel-btn {
    left: 0;
    bottom: 60px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }
}
